﻿© 2008 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB Init Power Level & Log RSLT Flags
INSTRUMENT:            Sub MG369XB Init Power Level Accuracy Variables
DATE:                  2008-10-21 12:33:43
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       141
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         INIT_RSLT_FLAGS              PSUBI("RSLT Flags")
  1.002  JMPL         INIT_ACC_VARS                PSUBI("Accuracy Variables")
  1.003  DISP         Subprocedure not found!
  1.004  END

  1.005  EVAL   Increment step number

# Initialize flags to control when RSLT statements are executed.
  2.001  LABEL        INIT_RSLT_FLAGS
  2.002  MATH         @RsltLogConformity   = 0
  2.003  MATH         @RsltLogFreq1        = 0
  2.004  MATH         @RsltLogFreq2        = 0
  2.005  MATH         @RsltLogFreq1NoPulse = 0
  2.006  MATH         @RsltLogFreq2NoPulse = 0
  2.007  MATH         @RsltLogFreq1Pulse   = 0
  2.008  MATH         @RsltLogFreq2Pulse   = 0
  2.009  MATH         @RsltPulseModOff     = 0
  2.010  MATH         @RsltPulseModOn      = 0
  2.011  MATH         @RsltPwrLvlAcc       = 0
  2.012  MATH         @RsltLvlFreq_10MHz   = 0
  2.013  MATH         @RsltLvlFreq_15MHz   = 0
  2.014  MATH         @RsltLvlFreq_60MHz   = 0
  2.015  MATH         @RsltLvlFreq_500MHz  = 0
  2.016  MATH         @RsltLvlFreq_600MHz  = 0
  2.017  MATH         @RsltLvlFreq_1GHz    = 0
  2.018  MATH         @RsltLvlFreq_2GHz    = 0
  2.019  MATH         @RsltLvlFreq_4GHz    = 0
  2.020  MATH         @RsltLvlFreq_6GHz    = 0
  2.021  MATH         @RsltLvlFreq_8GHz    = 0
  2.022  MATH         @RsltLvlFreq_10GHz   = 0
  2.023  MATH         @RsltLvlFreq_12GHz   = 0
  2.024  MATH         @RsltLvlFreq_14GHz   = 0
  2.025  MATH         @RsltLvlFreq_16GHz   = 0
  2.026  MATH         @RsltLvlFreq_18GHz   = 0
  2.027  MATH         @RsltLvlFreq_20GHz   = 0
  2.028  MATH         @RsltLvlFreq_22GHz   = 0
  2.029  MATH         @RsltLvlFreq_24GHz   = 0
  2.030  MATH         @RsltLvlFreq_26GHz   = 0
  2.031  MATH         @RsltLvlFreq_28GHz   = 0
  2.032  MATH         @RsltLvlFreq_30GHz   = 0
  2.033  MATH         @RsltLvlFreq_32GHz   = 0
  2.034  MATH         @RsltLvlFreq_34GHz   = 0
  2.035  MATH         @RsltLvlFreq_36GHz   = 0
  2.036  MATH         @RsltLvlFreq_38GHz   = 0
  2.037  MATH         @RsltLvlFreq_40GHz   = 0
  2.038  END

  2.039  EVAL   Increment step number

  3.001  LABEL        INIT_ACC_VARS
  3.002  MATH         @ML2430A_AccWNeg20dBm10MHz  = -1
  3.003  MATH         @ML2430A_AccWNeg50dBm10MHz  = -1
  3.004  MATH         @ML2430A_AccWNeg20dBm15MHz  = -1
  3.005  MATH         @ML2430A_AccWNeg50dBm15MHz  = -1
  3.006  MATH         @ML2430A_AccWNeg20dBm60MHz  = -1
  3.007  MATH         @ML2430A_AccWNeg50dBm60MHz  = -1
  3.008  MATH         @ML2430A_AccWNeg20dBm500MHz = -1
  3.009  MATH         @ML2430A_AccWNeg50dBm500MHz = -1
  3.010  MATH         @ML2430A_AccWNeg20dBm600MHz = -1
  3.011  MATH         @ML2430A_AccWNeg50dBm600MHz = -1
  3.012  MATH         @ML2430A_AccWNeg20dBm1GHz   = -1
  3.013  MATH         @ML2430A_AccWNeg50dBm1GHz   = -1
  3.014  MATH         @ML2430A_AccWNeg20dBm2GHz   = -1
  3.015  MATH         @ML2430A_AccWNeg50dBm2GHz   = -1
  3.016  MATH         @ML2430A_AccWNeg20dBm4GHz   = -1
  3.017  MATH         @ML2430A_AccWNeg50dBm4GHz   = -1
  3.018  MATH         @ML2430A_AccWNeg20dBm6GHz   = -1
  3.019  MATH         @ML2430A_AccWNeg50dBm6GHz   = -1
  3.020  MATH         @ML2430A_AccWNeg20dBm8GHz   = -1
  3.021  MATH         @ML2430A_AccWNeg50dBm8GHz   = -1
  3.022  MATH         @ML2430A_AccWNeg20dBm10GHz  = -1
  3.023  MATH         @ML2430A_AccWNeg50dBm10GHz  = -1
  3.024  MATH         @ML2430A_AccWNeg20dBm12GHz  = -1
  3.025  MATH         @ML2430A_AccWNeg50dBm12GHz  = -1
  3.026  MATH         @ML2430A_AccWNeg20dBm14GHz  = -1
  3.027  MATH         @ML2430A_AccWNeg50dBm14GHz  = -1
  3.028  MATH         @ML2430A_AccWNeg20dBm16GHz  = -1
  3.029  MATH         @ML2430A_AccWNeg50dBm16GHz  = -1
  3.030  MATH         @ML2430A_AccWNeg20dBm18GHz  = -1
  3.031  MATH         @ML2430A_AccWNeg50dBm18GHz  = -1
  3.032  MATH         @ML2430A_AccWNeg20dBm20GHz  = -1
  3.033  MATH         @ML2430A_AccWNeg50dBm20GHz  = -1
  3.034  MATH         @ML2430A_AccWNeg20dBm22GHz  = -1
  3.035  MATH         @ML2430A_AccWNeg50dBm22GHz  = -1
  3.036  MATH         @ML2430A_AccWNeg20dBm24GHz  = -1
  3.037  MATH         @ML2430A_AccWNeg50dBm24GHz  = -1
  3.038  MATH         @ML2430A_AccWNeg20dBm26GHz  = -1
  3.039  MATH         @ML2430A_AccWNeg50dBm26GHz  = -1
  3.040  MATH         @ML2430A_AccWNeg20dBm28GHz  = -1
  3.041  MATH         @ML2430A_AccWNeg50dBm28GHz  = -1
  3.042  MATH         @ML2430A_AccWNeg20dBm30GHz  = -1
  3.043  MATH         @ML2430A_AccWNeg50dBm30GHz  = -1
  3.044  MATH         @ML2430A_AccWNeg20dBm32GHz  = -1
  3.045  MATH         @ML2430A_AccWNeg50dBm32GHz  = -1
  3.046  MATH         @ML2430A_AccWNeg20dBm34GHz  = -1
  3.047  MATH         @ML2430A_AccWNeg50dBm34GHz  = -1
  3.048  MATH         @ML2430A_AccWNeg20dBm36GHz  = -1
  3.049  MATH         @ML2430A_AccWNeg50dBm36GHz  = -1
  3.050  MATH         @ML2430A_AccWNeg20dBm38GHz  = -1
  3.051  MATH         @ML2430A_AccWNeg50dBm38GHz  = -1
  3.052  MATH         @ML2430A_AccWNeg20dBm40GHz  = -1
  3.053  MATH         @ML2430A_AccWNeg50dBm40GHz  = -1
  3.054  END
